package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 国内收购商
 * @Author Mechrevo
 * @Date 2023 08 01 10 01
 **/
public class PurchaserDto {


    /**
     * 名称
     */
    private String name;
    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public PurchaserDto(String name, Long id, Integer age, String legalPerson, String idCard, String contact, String businessLicense, String bankNo, String bankName, String bankAccount, String dutyParagraph, String addressIds, String address, Integer judgeStatus, String judgeContent, Date judgeTime, Date registerTime, String personId, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Integer deleteStatus, Integer isLock) {
        this.name = name;
        this.id = id;
        this.age = age;
        this.legalPerson = legalPerson;
        this.idCard = idCard;
        this.contact = contact;
        this.businessLicense = businessLicense;
        this.bankNo = bankNo;
        this.bankName = bankName;
        this.bankAccount = bankAccount;
        this.dutyParagraph = dutyParagraph;
        this.addressIds = addressIds;
        this.address = address;
        this.judgeStatus = judgeStatus;
        this.judgeContent = judgeContent;
        this.judgeTime = judgeTime;
        this.registerTime = registerTime;
        this.personId = personId;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.isLock = isLock;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 法人
     */
    private String legalPerson;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 手机号码
     */
    private String contact;

    /**
     * 营业执照
     */
    private String businessLicense;

    /**
     * 银行编号
     */
    private String bankNo;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 税号
     */
    private String dutyParagraph;
    private String businessName;

    /**
     * 地址编号
     */
    private String addressIds;

    /**
     * 地址
     */
    private String address;

    /**
     * 审核状态(0=未通过,1=已通过)
     */
    private Integer judgeStatus;

    /**
     * 审核意见
     */
    private String judgeContent;

    /**
     * 上次审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date judgeTime;

    /**
     * 注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date registerTime;

    /**
     * 人脸编号
     */
    private String personId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 创建人编号
     */
    private String createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    /**
     * 更新人编号
     */
    private String updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;


    /**
     * 是否锁定
     */
    private Integer isLock;

    public PurchaserDto() {
    }

    public PurchaserDto( String name, String legalPerson, String idCard, String contact, String businessLicense, String bankNo, String bankName, String bankAccount, String dutyParagraph, String addressIds, String address, Integer judgeStatus, String judgeContent, Date judgeTime, Date registerTime, String personId, Date createTime, String createBy, String createName, Date updateTime, String updateBy, String updateName, Integer deleteStatus, Integer isLock) {
        this.name = name;
        this.legalPerson = legalPerson;
        this.idCard = idCard;
        this.contact = contact;
        this.businessLicense = businessLicense;
        this.bankNo = bankNo;
        this.bankName = bankName;
        this.bankAccount = bankAccount;
        this.dutyParagraph = dutyParagraph;
        this.addressIds = addressIds;
        this.address = address;
        this.judgeStatus = judgeStatus;
        this.judgeContent = judgeContent;
        this.judgeTime = judgeTime;
        this.registerTime = registerTime;
        this.personId = personId;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.isLock = isLock;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBankNo() {
        return bankNo;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public String getDutyParagraph() {
        return dutyParagraph;
    }

    public void setDutyParagraph(String dutyParagraph) {
        this.dutyParagraph = dutyParagraph;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getJudgeStatus() {
        return judgeStatus;
    }

    public void setJudgeStatus(Integer judgeStatus) {
        this.judgeStatus = judgeStatus;
    }

    public String getJudgeContent() {
        return judgeContent;
    }

    public void setJudgeContent(String judgeContent) {
        this.judgeContent = judgeContent;
    }

    public Date getJudgeTime() {
        return judgeTime;
    }

    public void setJudgeTime(Date judgeTime) {
        this.judgeTime = judgeTime;
    }

    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }
}
